BasedOnStyle: LLVM
IndentWidth: 4

#--- cpp

Language: Cpp
PointerAlignment: Left
ColumnLimit: 100
AlignAfterOpenBracket: Align 
AlignTrailingComments: true
AllowAllParametersOfDeclarationOnNextLine: true
AllowShortBlocksOnASingleLine: false
AllowShortCaseLabelsOnASingleLine: false
AlwaysBreakAfterReturnType: None
AlwaysBreakBeforeMultilineStrings: true
BinPackArguments: false
BreakConstructorInitializers: BeforeColon 
ConstructorInitializerAllOnOneLineOrOnePerLine: true
Cpp11BracedListStyle: true
IncludeBlocks: Regroup

#---